// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError          = status.Error(10001, "系统错误")
	ServiceError         = status.Error(10002, "内部服务错误")
	ParamsError          = status.Error(10003, "参数错误")
	StyleIdNotExistError = status.Error(10004, "参数错误，车型id不存在")
	SqlError             = status.Error(10005, "参数错误，sql错误")

	TemplateAlreadyExists = status.Error(10006, "模板已存在")
	TemplateNoChange      = status.Error(10006, "模板未改动")
	RecordNotFound        = status.Error(10006, "数据不存在")
)
